diff -c -r ircd-hybrid-6rc4/ChangeLog ircd-hybrid-6rc4+JB/ChangeLog
*** ircd-hybrid-6rc4/ChangeLog	Fri Aug 25 02:29:15 2000
--- ircd-hybrid-6rc4+JB/ChangeLog	Tue Sep  5 21:47:06 2000
***************
*** 1,3 ****
--- 1,7 ----
+ *** 20000905_1 by James_B (roger@jorgensen.no)
+ - The real IP are no more showed to anymore.
+ 
+ 
  *** 20000824_4 by lusky
  - removed trailing ')' from channel +/-j oper notices
  
Only in ircd-hybrid-6rc4+JB: README.JB
diff -c -r ircd-hybrid-6rc4/src/client.c ircd-hybrid-6rc4+JB/src/client.c
*** ircd-hybrid-6rc4/src/client.c	Fri Aug 25 02:20:45 2000
--- ircd-hybrid-6rc4+JB/src/client.c	Tue Sep  5 16:55:40 2000
***************
*** 1105,1115 ****
            case SHOW_IP:
              ircsprintf(nbuf, "%s[%s@%s]", client->name, client->username,
                client->sockhost);
!             break;
            case MASK_IP:
              ircsprintf(nbuf, "%s[%s@255.255.255.255]", client->name,
                client->username);
              break;
            default:
              ircsprintf(nbuf, "%s[%s@%s]", client->name, client->username,
                client->host);
--- 1105,1119 ----
            case SHOW_IP:
              ircsprintf(nbuf, "%s[%s@%s]", client->name, client->username,
                client->sockhost);
!           break;
            case MASK_IP:
              ircsprintf(nbuf, "%s[%s@255.255.255.255]", client->name,
                client->username);
              break;
+           case FALSE:
+             ircsprintf(nbuf, "%s[%s@255.255.255.255]", client->name,
+               client->username);
+             break;
            default:
              ircsprintf(nbuf, "%s[%s@%s]", client->name, client->username,
                client->host);
***************
*** 1137,1143 ****
      {
        ircsprintf(nbuf, "%s[%-.*s@%-.*s]",
                   client->name, USERLEN, client->username,
!                  HOSTLEN, client->host);
      }
    return nbuf;
  }
--- 1141,1148 ----
      {
        ircsprintf(nbuf, "%s[%-.*s@%-.*s]",
                   client->name, USERLEN, client->username,
! /*                 HOSTLEN, client->host);*/
!                  HOSTLEN, "127.0.0.2");
      }
    return nbuf;
  }
diff -c -r ircd-hybrid-6rc4/src/m_admin.c ircd-hybrid-6rc4+JB/src/m_admin.c
*** ircd-hybrid-6rc4/src/m_admin.c	Fri Jul 30 08:40:13 1999
--- ircd-hybrid-6rc4+JB/src/m_admin.c	Tue Sep  5 00:12:13 2000
***************
*** 104,109 ****
--- 104,110 ----
            /* safe enough to give this on a local connect only */
            if(MyClient(sptr))
              sendto_one(sptr,form_str(RPL_LOAD2HI),me.name,parv[0]);
+ /*            sendto_one(sptr,form_str(RPL_LOAD2HI),"hidden.hub",parv[0]);*/
            return 0;
          }
        else
***************
*** 121,136 ****
--- 122,142 ----
      {
        sendto_one(sptr, form_str(RPL_ADMINME),
                   me.name, parv[0], me.name);
+ /*                 "hidden.hub", parv[0], "hidden.hub");*/
        sendto_one(sptr, form_str(RPL_ADMINLOC1),
                   me.name, parv[0], aconf->host);
+ /*                 "hidden.hub", parv[0], aconf->host);*/
        sendto_one(sptr, form_str(RPL_ADMINLOC2),
                   me.name, parv[0], aconf->passwd);
+ /*                 "hidden.hub", parv[0], aconf->passwd);*/
        sendto_one(sptr, form_str(RPL_ADMINEMAIL),
                   me.name, parv[0], aconf->user);
+ /*                 "hidden.hub", parv[0], aconf->user);*/
      }
    else
      sendto_one(sptr, form_str(ERR_NOADMININFO),
                 me.name, parv[0], me.name);
+ /*               "hidden.hub", parv[0], "hidden.hub");*/
    return 0;
  }
  
diff -c -r ircd-hybrid-6rc4/src/m_connect.c ircd-hybrid-6rc4+JB/src/m_connect.c
*** ircd-hybrid-6rc4/src/m_connect.c	Sat Jul 31 10:22:58 1999
--- ircd-hybrid-6rc4+JB/src/m_connect.c	Mon Sep  4 20:04:38 2000
***************
*** 203,213 ****
     * C:line and a valid port in the C:line
     */
    if (connect_server(aconf, sptr, 0))
       sendto_one(sptr, ":%s NOTICE %s :*** Connecting to %s[%s].%d",
!                 me.name, parv[0], aconf->host, aconf->name, aconf->port);
    else
        sendto_one(sptr, ":%s NOTICE %s :*** Couldn't connect to %s.%d",
!                  me.name, parv[0], aconf->host,aconf->port);
    /*
     * client is either connecting with all the data it needs or has been
     * destroyed
--- 203,221 ----
     * C:line and a valid port in the C:line
     */
    if (connect_server(aconf, sptr, 0))
+ /*
+  *     sendto_one(sptr, ":%s NOTICE %s :*** Connecting to %s[%s].%d",
+  *               me.name, parv[0], aconf->host, aconf->name, aconf->port);
+  */
       sendto_one(sptr, ":%s NOTICE %s :*** Connecting to %s[%s].%d",
!                 me.name, parv[0], "127.0.0.2", aconf->name, aconf->port);
    else
+ /*
+  *     sendto_one(sptr, ":%s NOTICE %s :*** Couldn't connect to %s.%d",
+  *                me.name, parv[0], aconf->host,aconf->port);
+  */
        sendto_one(sptr, ":%s NOTICE %s :*** Couldn't connect to %s.%d",
!                  me.name, parv[0], "127.0.0.2",aconf->port);
    /*
     * client is either connecting with all the data it needs or has been
     * destroyed
diff -c -r ircd-hybrid-6rc4/src/m_info.c ircd-hybrid-6rc4+JB/src/m_info.c
*** ircd-hybrid-6rc4/src/m_info.c	Sun Aug  1 08:47:20 1999
--- ircd-hybrid-6rc4+JB/src/m_info.c	Mon Sep  4 20:18:40 2000
***************
*** 30,113 ****
  m_info(aClient *cptr, aClient *sptr, int parc, char *parv[])
  
  {
-   char **text = infotext;
-   static time_t last_used=0L;
-   Info *infoptr;
- 
-   if (hunt_server(cptr,sptr,":%s INFO :%s",1,parc,parv) == HUNTED_ISME)
-   {
-     sendto_realops_flags(FLAGS_SPY, "info requested by %s (%s@%s) [%s]",
-       sptr->name, sptr->username, sptr->host,
-       sptr->user->server);
- 
-     if (!IsAnOper(sptr))
-     {
-       /* reject non local requests */
-       if (!MyConnect(sptr))
-         return 0;
-       if ((last_used + PACE_WAIT) > CurrentTime)
-       {
-         /* safe enough to give this on a local connect only */
-         sendto_one(sptr,form_str(RPL_LOAD2HI),me.name,parv[0]);
-         return 0;
-       }
-       else
-         last_used = CurrentTime;
-     } /* if (!IsAnOper(sptr)) */
- 
-     while (*text)
-       sendto_one(sptr, form_str(RPL_INFO), me.name, parv[0], *text++);
- 
-     sendto_one(sptr, form_str(RPL_INFO), me.name, parv[0], "");
- 
-     /*
-      * Now send them a list of all our configuration options
-      * (mostly from config.h)
-      */
-     if (IsAnOper(sptr))
-     {
-       for (infoptr = MyInformation; infoptr->name; infoptr++)
-       {
-         if (infoptr->intvalue)
-           sendto_one(sptr,
-             ":%s %d %s :%-30s %-5d [%-30s]",
-             me.name,
-             RPL_INFO,
-             parv[0],
-             infoptr->name,
-             infoptr->intvalue,
-             infoptr->desc);
-         else
-           sendto_one(sptr,
-             ":%s %d %s :%-30s %-5s [%-30s]",
-             me.name,
-             RPL_INFO,
-             parv[0],
-             infoptr->name,
-             infoptr->strvalue,
-             infoptr->desc);
-       }
-     } /* if (IsAnOper(sptr)) */
- 
-     sendto_one(sptr, form_str(RPL_INFO), me.name, parv[0], "");
- 
-     sendto_one(sptr,
-       ":%s %d %s :Birth Date: %s, compile # %s",
-       me.name,
-       RPL_INFO,
-       parv[0],
-       creation,
-       generation);
- 
-     sendto_one(sptr,
-       ":%s %d %s :On-line since %s",
-       me.name,
-       RPL_INFO,
-       parv[0],
-       myctime(me.firsttime));
- 
-     sendto_one(sptr, form_str(RPL_ENDOFINFO), me.name, parv[0]);
-   } /* if (hunt_server(cptr,sptr,":%s INFO :%s",1,parc,parv) == HUNTED_ISME) */
  
    return 0;
  } /* m_info() */
--- 30,35 ----
diff -c -r ircd-hybrid-6rc4/src/m_ltrace.c ircd-hybrid-6rc4+JB/src/m_ltrace.c
*** ircd-hybrid-6rc4/src/m_ltrace.c	Wed Sep  8 05:42:37 1999
--- ircd-hybrid-6rc4+JB/src/m_ltrace.c	Mon Sep  4 19:34:54 2000
***************
*** 220,226 ****
                             form_str(RPL_TRACEOPERATOR),
                             me.name, parv[0], c_class,
                             name, 
!                            IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip), 
                             now - acptr->lasttime,
                             (acptr->user)?(now - acptr->user->last):0);
                cnt++;
--- 220,227 ----
                             form_str(RPL_TRACEOPERATOR),
                             me.name, parv[0], c_class,
                             name, 
! /*                           IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip), */
!                            "127.0.0.1",
                             now - acptr->lasttime,
                             (acptr->user)?(now - acptr->user->last):0);
                cnt++;
diff -c -r ircd-hybrid-6rc4/src/m_stats.c ircd-hybrid-6rc4+JB/src/m_stats.c
*** ircd-hybrid-6rc4/src/m_stats.c	Tue Aug 22 03:55:49 2000
--- ircd-hybrid-6rc4+JB/src/m_stats.c	Tue Sep  5 00:09:31 2000
***************
*** 386,393 ****
--- 386,395 ----
          
          now = CurrentTime - me.since;
          sendto_one(sptr, form_str(RPL_STATSUPTIME), me.name, parv[0],
+ /*        sendto_one(sptr, form_str(RPL_STATSUPTIME), "hidden.hub", parv[0],/*
                     now/86400, (now/3600)%24, (now/60)%60, now%60);
          sendto_one(sptr, form_str(RPL_STATSCONN), me.name, parv[0],
+ /*        sendto_one(sptr, form_str(RPL_STATSCONN), "hidden.hub", parv[0],*/
                     MaxConnectionCount, MaxClientCount);
          valid_stats++;
          break;
***************
*** 418,423 ****
--- 420,426 ----
          }
        else
          sendto_one(sptr, form_str(ERR_NOPRIVILEGES), me.name, parv[0]);
+ /*        sendto_one(sptr, form_str(ERR_NOPRIVILEGES), "hidden.hub", parv[0]);*/
        valid_stats++;
        break;
  
***************
*** 431,436 ****
--- 434,440 ----
        break;
      }
    sendto_one(sptr, form_str(RPL_ENDOFSTATS), me.name, parv[0], stat);
+ /*  sendto_one(sptr, form_str(RPL_ENDOFSTATS), "hidden.hub", parv[0], stat);*/
  
    /* personally, I don't see why opers need to see stats requests
     * at all. They are just "noise" to an oper, and users can't do
diff -c -r ircd-hybrid-6rc4/src/m_trace.c ircd-hybrid-6rc4+JB/src/m_trace.c
*** ircd-hybrid-6rc4/src/m_trace.c	Wed Sep  8 05:42:38 1999
--- ircd-hybrid-6rc4+JB/src/m_trace.c	Mon Sep  4 19:33:40 2000
***************
*** 209,215 ****
            sendto_one(sptr, form_str(RPL_TRACEOPERATOR),
                       me.name, parv[0], c_class,
                       name, 
!                      IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),
                       now - acptr->lasttime,
                       (acptr->user)?(now - acptr->user->last):0);
          }
--- 209,216 ----
            sendto_one(sptr, form_str(RPL_TRACEOPERATOR),
                       me.name, parv[0], c_class,
                       name, 
! /*                     IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),*/
!                      "127.0.0.1",
                       now - acptr->lasttime,
                       (acptr->user)?(now - acptr->user->last):0);
          }
***************
*** 218,224 ****
            sendto_one(sptr,form_str(RPL_TRACEUSER),
                       me.name, parv[0], c_class,
                       name, 
!                      IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),
                       now - acptr->lasttime,
                       (acptr->user)?(now - acptr->user->last):0);
          }
--- 219,226 ----
            sendto_one(sptr,form_str(RPL_TRACEUSER),
                       me.name, parv[0], c_class,
                       name, 
! /*                     IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),*/
!                      "127.0.0.1",
                       now - acptr->lasttime,
                       (acptr->user)?(now - acptr->user->last):0);
          }
***************
*** 320,333 ****
                             form_str(RPL_TRACEOPERATOR),
                             me.name,
                             parv[0], c_class,
!                            name, IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),
                             now - acptr->lasttime,
                             (acptr->user)?(now - acptr->user->last):0);
                else
                  sendto_one(sptr,form_str(RPL_TRACEUSER),
                             me.name, parv[0], c_class,
                             name,
!                            IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),
                             now - acptr->lasttime,
                             (acptr->user)?(now - acptr->user->last):0);
                cnt++;
--- 322,337 ----
                             form_str(RPL_TRACEOPERATOR),
                             me.name,
                             parv[0], c_class,
! /*                           name, IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),*/
!                            name, "127.0.0.1",
                             now - acptr->lasttime,
                             (acptr->user)?(now - acptr->user->last):0);
                else
                  sendto_one(sptr,form_str(RPL_TRACEUSER),
                             me.name, parv[0], c_class,
                             name,
! /*                           IsAnOper(sptr)?ip:(IsIPHidden(acptr)?"127.0.0.1":ip),*/
!                            "127.0.0.1",
                             now - acptr->lasttime,
                             (acptr->user)?(now - acptr->user->last):0);
                cnt++;
diff -c -r ircd-hybrid-6rc4/src/m_version.c ircd-hybrid-6rc4+JB/src/m_version.c
*** ircd-hybrid-6rc4/src/m_version.c	Sat Jul 31 06:48:04 1999
--- ircd-hybrid-6rc4+JB/src/m_version.c	Tue Sep  5 01:17:30 2000
***************
*** 97,108 ****
       {
         if (hunt_server(cptr, sptr, ":%s VERSION :%s", 
                         1, parc, parv) == HUNTED_ISME)
           sendto_one(sptr, form_str(RPL_VERSION), me.name,
!                     parv[0], version, serno, debugmode, me.name, serveropts);
       }
     else
       sendto_one(sptr, form_str(RPL_VERSION), me.name,
!                 parv[0], version, serno, debugmode, me.name, serveropts);
  
    return 0;
  }
--- 97,115 ----
       {
         if (hunt_server(cptr, sptr, ":%s VERSION :%s", 
                         1, parc, parv) == HUNTED_ISME)
+ /*         sendto_one(sptr, form_str(RPL_VERSION), "hidden.hub",
+  *                    parv[0], version, serno, debugmode, "hidden.hub", serveropts);
+  */
           sendto_one(sptr, form_str(RPL_VERSION), me.name,
!                    parv[0], version, serno, debugmode, me.name, serveropts);
! 
       }
     else
+ /*     sendto_one(sptr, form_str(RPL_VERSION), "hidden.hub",
+  *                parv[0], version, serno, debugmode, "hidden.hub", serveropts);
+  */
       sendto_one(sptr, form_str(RPL_VERSION), me.name,
!                parv[0], version, serno, debugmode, me.name, serveropts);
  
    return 0;
  }
diff -c -r ircd-hybrid-6rc4/src/motd.c ircd-hybrid-6rc4+JB/src/motd.c
*** ircd-hybrid-6rc4/src/motd.c	Thu Aug 26 00:58:22 1999
--- ircd-hybrid-6rc4+JB/src/motd.c	Tue Sep  5 16:49:41 2000
***************
*** 135,141 ****
            sendto_one(sptr, ":%s NOTICE %s :No OPER MOTD", me.name, sptr->name);
            return 0;
          }
!       sendto_one(sptr,":%s NOTICE %s :Start of OPER MOTD",me.name,sptr->name);
        break;
  
      case HELP_MOTD:
--- 135,141 ----
            sendto_one(sptr, ":%s NOTICE %s :No OPER MOTD", me.name, sptr->name);
            return 0;
          }
!       sendto_one(sptr,":%s NOTICE %s :Start of OPER MOTD",me.name, sptr->name);
        break;
  
      case HELP_MOTD:
diff -c -r ircd-hybrid-6rc4/src/s_bsd.c ircd-hybrid-6rc4+JB/src/s_bsd.c
*** ircd-hybrid-6rc4/src/s_bsd.c	Sun Aug 20 08:11:49 2000
--- ircd-hybrid-6rc4+JB/src/s_bsd.c	Tue Sep  5 01:12:22 2000
***************
*** 921,927 ****
                     get_client_name(cptr, FALSE));
        else
          report_error("Lost connection to %s:%s", 
!                      get_client_name(cptr, TRUE), current_error);
        sendto_ops("%s had been connected for %d day%s, %2d:%02d:%02d",
                   cptr->name, connected/86400,
                   (connected/86400 == 1) ? "" : "s",
--- 921,928 ----
                     get_client_name(cptr, FALSE));
        else
          report_error("Lost connection to %s:%s", 
! /*                     get_client_name(cptr, TRUE), current_error);*/
!                      get_client_name(cptr, FALSE), current_error);
        sendto_ops("%s had been connected for %d day%s, %2d:%02d:%02d",
                   cptr->name, connected/86400,
                   (connected/86400 == 1) ? "" : "s",
diff -c -r ircd-hybrid-6rc4/src/s_conf.c ircd-hybrid-6rc4+JB/src/s_conf.c
*** ircd-hybrid-6rc4/src/s_conf.c	Fri Aug 25 02:20:46 2000
--- ircd-hybrid-6rc4+JB/src/s_conf.c	Mon Sep  4 20:37:57 2000
***************
*** 297,303 ****
              if(IsAnOper(sptr))
                sendto_one(sptr, form_str(p->rpl_stats), me.name,
                           sptr->name, c,
!                          host,
                           name,
                           port,
                           get_conf_class(tmp),
--- 297,304 ----
              if(IsAnOper(sptr))
                sendto_one(sptr, form_str(p->rpl_stats), me.name,
                           sptr->name, c,
! /*                         host,*/
!                          "*@127.0.0.2",
                           name,
                           port,
                           get_conf_class(tmp),
***************
*** 368,374 ****
      if (aconf->status & flags)
        {
          get_printable_conf(aconf, &name, &host, &pass, &user, &port);
- 
          sendto_one(sptr, form_str(numeric),
                     me.name,
                     sptr->name,
--- 369,374 ----
diff -c -r ircd-hybrid-6rc4/src/s_debug.c ircd-hybrid-6rc4+JB/src/s_debug.c
*** ircd-hybrid-6rc4/src/s_debug.c	Thu Aug 10 06:40:16 2000
--- ircd-hybrid-6rc4+JB/src/s_debug.c	Tue Sep  5 21:49:43 2000
***************
*** 132,137 ****
--- 132,142 ----
  /* th+hybrid servers ALWAYS do TS_WARNINGS */
    'o',
    'w',
+ /* hidden hubs patch:) */
+   ' ',
+   '+',
+   'J',
+   'B',
    '\0'
  };
  
diff -c -r ircd-hybrid-6rc4/src/s_misc.c ircd-hybrid-6rc4+JB/src/s_misc.c
*** ircd-hybrid-6rc4/src/s_misc.c	Sun Aug  1 08:47:23 1999
--- ircd-hybrid-6rc4+JB/src/s_misc.c	Mon Sep  4 19:52:49 2000
***************
*** 160,166 ****
         */
        if(IsAnOper(cptr))
          sendto_one(cptr, Lformat, me.name, RPL_STATSLINKINFO,
!                    name, get_client_name(acptr, TRUE),
                     (int)DBufLength(&acptr->sendQ),
                     (int)acptr->sendM, (int)acptr->sendK,
                     (int)acptr->receiveM, (int)acptr->receiveK,
--- 160,167 ----
         */
        if(IsAnOper(cptr))
          sendto_one(cptr, Lformat, me.name, RPL_STATSLINKINFO,
! /*                   name, get_client_name(acptr, TRUE), */
!                    name, get_client_name(acptr, HIDEME),
                     (int)DBufLength(&acptr->sendQ),
                     (int)acptr->sendM, (int)acptr->sendK,
                     (int)acptr->receiveM, (int)acptr->receiveK,
diff -c -r ircd-hybrid-6rc4/src/s_serv.c ircd-hybrid-6rc4+JB/src/s_serv.c
*** ircd-hybrid-6rc4/src/s_serv.c	Thu Aug 24 08:15:57 2000
--- ircd-hybrid-6rc4+JB/src/s_serv.c	Tue Sep  5 00:36:47 2000
***************
*** 88,94 ****
    static char          namebuf[HOSTLEN + 1];
    register int         count = aconf->port;
    register const char* start = name;
- 
    if (count <= 0 || count > 5)
      return start;
  
--- 88,93 ----
***************
*** 104,109 ****
--- 103,109 ----
    strncpy_irc(&namebuf[1], name, HOSTLEN - 1);
    namebuf[HOSTLEN] = '\0';
    return namebuf;
+ 
  }
  
  /*
***************
*** 273,280 ****
         * auto connects disabled, send message to ops and bail
         */
        if (connecting)
!         sendto_ops("Connection to %s[%s] not activated.",
!                  con_conf->name, con_conf->host);
        sendto_ops("WARNING AUTOCONN is 0, autoconns are disabled");
        Debug((DEBUG_NOTICE,"Next connection check : %s", myctime(next)));
        return next;
--- 273,282 ----
         * auto connects disabled, send message to ops and bail
         */
        if (connecting)
! /*        sendto_ops("Connection to %s[%s] not activated.",*/
! /*                 con_conf->name, con_conf->host);*/
!         sendto_ops("Connection to %s[127.0.0.2] not activated.",
!                  con_conf->name);
        sendto_ops("WARNING AUTOCONN is 0, autoconns are disabled");
        Debug((DEBUG_NOTICE,"Next connection check : %s", myctime(next)));
        return next;
***************
*** 297,312 ****
          }
        if (!(con_conf->flags & CONF_FLAGS_ALLOW_AUTO_CONN))
          {
!           sendto_ops("Connection to %s[%s] not activated, autoconn is off.",
!                      con_conf->name, con_conf->host);
!           sendto_ops("WARNING AUTOCONN on %s[%s] is disabled",
!                      con_conf->name, con_conf->host);
          }
        else
          {
            if (connect_server(con_conf, 0, 0))
!             sendto_ops("Connection to %s[%s] activated.",
!                        con_conf->name, con_conf->host);
          }
      }
    Debug((DEBUG_NOTICE,"Next connection check : %s", myctime(next)));
--- 299,320 ----
          }
        if (!(con_conf->flags & CONF_FLAGS_ALLOW_AUTO_CONN))
          {
! /*          sendto_ops("Connection to %s[%s] not activated, autoconn is off.",*/
! /*                     con_conf->name, con_conf->host);*/
!           sendto_ops("Connection to %s[127.0.0.2] not activated, autoconn is off.",
!                      con_conf->name);
! /*          sendto_ops("WARNING AUTOCONN on %s[%s] is disabled",*/
! /*                     con_conf->name, con_conf->host);*/
!           sendto_ops("WARNING AUTOCONN on %s[127.0.0.2] is disabled",
!                      con_conf->name);
          }
        else
          {
            if (connect_server(con_conf, 0, 0))
! /*            sendto_ops("Connection to %s[%s] activated.",*/
! /*                       con_conf->name, con_conf->host);*/
!             sendto_ops("Connection to %s[127.0.0.2] activated.",
!                        con_conf->name);
          }
      }
    Debug((DEBUG_NOTICE,"Next connection check : %s", myctime(next)));
diff -c -r ircd-hybrid-6rc4/src/send.c ircd-hybrid-6rc4+JB/src/send.c
*** ircd-hybrid-6rc4/src/send.c	Sat Jun 10 04:45:37 2000
--- ircd-hybrid-6rc4+JB/src/send.c	Tue Sep  5 20:48:40 2000
***************
*** 88,95 ****
    if (!IsPerson(to) && !IsUnknown(to) && !(to->flags & FLAGS_CLOSING))
      sendto_ops(notice, get_client_name(to, FALSE));
    
!   Debug((DEBUG_ERROR, notice, get_client_name(to, FALSE)));
! 
    return (-1);
  } /* dead_link() */
  
--- 88,95 ----
    if (!IsPerson(to) && !IsUnknown(to) && !(to->flags & FLAGS_CLOSING))
      sendto_ops(notice, get_client_name(to, FALSE));
    
! /*  Debug((DEBUG_ERROR, notice, get_client_name(to, FALSE)));*/
!   Debug((DEBUG_ERROR, notice, get_client_name(to, TRUE)));
    return (-1);
  } /* dead_link() */
  
